---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable get`

Get a variable for a project or group.

```plaintext
glab variable get <key> [flags]
```

## Examples

```plaintext
glab variable get VAR_KEY
glab variable get -g GROUP VAR_KEY
glab variable get -s SCOPE VAR_KEY

```

## Options

```plaintext
  -g, --group string    Get variable for a group.
  -F, --output string   Format output as: text, json. (default "text")
  -s, --scope string    The environment_scope of the variable. Values: all (*), or specific environments. (default "*")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
